Name:     jgroups
Version:  2.2.9.2
Release:  8%{?dist}
Summary:  Toolkit for reliable multicast communication
License:  LGPLv2+
URL:      http://www.jgroups.org/
Group:    Development/Libraries

Source0:  JGroups-2.2.9.2.src-RHCLEAN.tar.gz
Patch0:   jgroups-2.2.9-build_xml.patch

Requires: java
Requires: jpackage-utils
Requires: bsh
Requires: concurrent
Requires: apache-commons-logging
Requires: jaxp_parser_impl
Requires: jms
Requires: log4j
Requires: xalan-j2
Requires: bouncycastle

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: ant-trax
BuildRequires: bsh
BuildRequires: concurrent
BuildRequires: apache-commons-logging
BuildRequires: jaxp_parser_impl
BuildRequires: jms
BuildRequires: junit
BuildRequires: ant-junit
BuildRequires: log4j
BuildRequires: xalan-j2
BuildRequires: bouncycastle

BuildArch:     noarch

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other.

%package  javadoc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: jpackage-utils

%description javadoc
%{summary}.

%package  manual
Summary:  Manual for %{name}
Group:    Documentation

%description manual
%{summary}.

%prep
%setup -q -n JGroups-2.2.9.2.src

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%patch0 -b .sav

%build
pushd lib
ln -sf $(build-classpath bsh) .
ln -sf $(build-classpath apache-commons-logging) .
ln -sf $(build-classpath concurrent) .
ln -sf $(build-classpath jms) .
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath log4j) .
popd

export ANT_OPTS="-Djava.net.preferIPv4Stack=true"
export CLASSPATH=$CLASSPATH:`build-classpath xalan-j2 xalan-j2-serializer bcprov`
ant jar javadoc jboss-service jgroups-service unittests testreport

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -pD -T -m 644 dist/%{name}-all.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pD -T -m 644 dist/%{name}-core.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-core.jar

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# services
install -p -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/%{name}*.sar \
  $RPM_BUILD_ROOT%{_datadir}/%{name}

# manual
install -p -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre javadoc
# workaround for rpm bug, can be removed in F-17
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files
%defattr(-,root,root,-)
%doc CREDITS README doc/LICENSE
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 2 2011 mbooth <mbooth@sd.matbooth.co.uk> 2.2.9.2-7
- Drop GCJ support, versioned jars, plus other cleanup.
- No longer requires mx4j (it's included in JDKs >= 1.5).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.2.9.2-6.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.2.9.2-5.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Deepak Bhole <dbhole@redhat.com> 2.2.9.2-4.6
- Fix bouncycastle classpath

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:2.2.9.2-4.5
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:2.2.9.2-4jpp.4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:2.2.9.2-4jpp.3
- Autorebuild for GCC 4.3

* Thu Sep 27 2007 Jesse Keating <jkeating@redhat.com> - 2.2.9.2-3jpp.3
- Fix the group typo.

* Fri Aug 14 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-3jpp.2
- Keep ENCRYPTAsymmetricTest since BC now available.

* Fri Aug 11 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-3jpp.1
- Resync with latest from JPP.
- Re-enable bouncycastle dependencies.

* Mon Jul 24 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-2jpp_2fc
- Rebuild.

* Sun Jul 23 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-2jpp_1fc
- Merge with latest version from JPP.
- Remove jars from the source tarball.
- Add ant-junit as a build requires.
- Remove tests/junit/org/jgroups/protocols/ENCRYPTAsymmetricTest.java
  temporarily since it needs BouncyCastle.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:2.2.6-1jpp_7fc
- Rebuilt

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:2.2.6-1jpp_6fc
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:2.2.6-1jpp_5fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:2.2.6-1jpp_4fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_3fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_2fc
- rebuilt

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:2.2.6-1jpp_1fc
- Build into Fedora.
